Skip to main content
GET
/
v1.4
/
Data
/
Verification
Right Party ID
curl --request GET \
  --url https://dataapi.dncscrub.com/v1.4/Data/Verification \
  --header 'loginId: <loginid>'
{
  "Phone": "5039365190",
  "ReferenceID": "DEMO",
  "VerificationCode": "U",
  "PhoneType": "W",
  "MatchType": "X",
  "MatchLevel": "900"
}
Returns if a name and/or address matches a phone number. The most common use case of this API is to determine if the person that gave you permission to call is the current phone number owner.

Request

Headers

loginId
string
required
Your API Key (LoginId from your DNCScrub account)

Query Parameters

phone
string
required
10-digit phone number to verify
FirstName
string
First name to match against
LastName
string
Last name to match against (required if consentDate not provided)
Address1
string
Street address
City
string
City name
State
string
State abbreviation
PostalCode
string
ZIP code
Consent date in YYYYMMDD format (required if lastName not provided)
ReferenceID
string
Optional reference ID for tracking
The more fields provided, the more accurate the response will be.

Output parameters

FieldDescription
PhoneTen digit phone number that was queried. Example 5039367188
ReferenceIDInternal customer referenced ID that was passed in the API submission
VerificationCodeUp to 4 character code identifying the verification level. This is the field to use for match verification. The Match Type and Match Level are only provided for analytics.
PhoneType1 character code identifying the phone type
MatchTypeSee Match Table below
MatchLevelSee Match Table below

VerificationCode values

CodeDescription
NName does not match specified phone number
YAName matches specified phone number and full address match
YPAName matches specified phone number and partial address match
YLName matches and phone number is land line
YName matches the specified phone number and no address match
YP*Only provided if consent date provided. Confirmed the ownership of the phone has not changed since the consent date; however not able to confirm phone owner’s name.
YXThe identify was verified for the number using high confidence proprietary sources (utility, financial).
UUnknown. No records exist to make a conclusion about the phone number and name.

PhoneType values

ValueDescription
NNot available
LLand Line
VVoIP
WWireless
OOther

Match Table

CategoryMatchTypeMatchLevelDescription
N/AN/ANot available
IP = Individual with phoneIP100Exact First, Exact Last, Exact Street Address, Unit W/A, Zip, Phone
IP101Fuzzy First, Exact Last, Exact Street Address, Unit W/A, Zip, Phone
IP102Exact First, Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone
IP103Fuzzy First, Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone
IP104Exact First, Exact Last, Exact Street Address, Unit Missing, Zip, Phone
IP105Fuzzy First, Exact Last, Exact Street Address, Unit Missing, Zip, Phone
IP106Exact First, Fuzzy Last, Exact Street Address, Unit Missing, Zip, Phone
IP107Fuzzy First, Fuzzy Last, Exact Street Address, Unit Missing, Zip, Phone
IP108Exact First, Exact Last, Fuzzy Street Address, Zip, Phone
IP109Fuzzy First, Exact Last, Fuzzy Street Address, Zip, Phone
IP110Exact First, Fuzzy Last, Fuzzy Street Address, Zip, Phone
IP111Fuzzy First, Fuzzy Last, Fuzzy Street Address, Zip, Phone
IP121Fuzzy First, Strong Last, Exact Street Address, Unit W/A, Zip, Phone
IP131Fuzzy Nickname First, Strong Last, Exact Street Address, Unit W/A, Zip, Phone
HP = Household with phoneHP200Exact Last, Exact Street Address, Unit W/A, Zip, Phone
HP201Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone
HP202Exact Last, Exact Street Address, Unit Missing, Zip, Phone
HP203Fuzzy Last, Exact Street Address, Unit Missing, Zip, Phone
HP204Exact Last, Fuzzy Street Address, Zip, Phone
HP205Fuzzy Last, Fuzzy Street Address, Zip, Phone
HP206Fuzzy Last, Exact Street Address, Unit W/A, Zip, Phone
AP = Address with phoneAP300Exact Street Address, Unit W/A, Zip, Phone
AP301Exact Street Address, Unit Missing, Zip, Phone
AP302Fuzzy Street Address, Zip, Phone
NP = Name/PhoneNP400Exact First, Exact Last, Phone
NP401Fuzzy First, Exact Last, Phone
NP402Exact First, Fuzzy Last, Phone
NP403Fuzzy First, Fuzzy Last, Phone
LP = Last Name/PhoneLP450Exact Last, Phone
LP451Fuzzy Last, Phone
FP = First Name/PhoneFP460Exact First, Phone
FP461Fuzzy First, Phone
FP462Fuzzy First, Phone, names reversed
ZP = Zip/PhoneZP500Zip, Phone
P = PhoneP900Phone Verified
NoneX900No match found
NoneX999No match found

Example Request

curl --location --request GET \
  'https://dataapi.dncscrub.com/v1.4/Data/Verification
    ?phone=5039365190
    &FirstName=John
    &LastName=Consumer
    &Address1=123%20Birch%20St
    &City=Beaverton
    &State=OR
    &PostalCode=97008
    &ReferenceID=DEMO' \
  --header 'loginId: YOUR_API_KEY'
{
  "Phone": "5039365190",
  "ReferenceID": "DEMO",
  "VerificationCode": "U",
  "PhoneType": "W",
  "MatchType": "X",
  "MatchLevel": "900"
}